Subject: Re: 25.1.50; calccard.tex has somewhat unclear licensing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Oct 2016 13:38:56 +0300

> From: [email-masked]
> Date: Fri, 23 Sep 2016 14:58:22 -0400
> 
> 
> Evaluate:
> 
>   (find-file (expand-file-name "refcards/calccard.tex" data-directory))
> 
> Now search for "Copyright" in the resulting buffer.  The first occurance
> is as part of the usual GPLv3 boilerplate, just a bit further into the
> file than is usual.  The second occurance precees a somewhat less clear
> license grant:
> 
> > \def\copyrightnotice{
> > \vskip 1ex plus 2 fill\begingroup\small
> > \centerline{Copyright \copyright\ \year\ Free Software Foundation, Inc.}
> > \centerline{designed by Dave Gillespie and Stephen Gildea,}
> > \centerline{for GNU Emacs Calc.}
> >
> > Permission is granted to make and distribute copies of
> > this card provided the copyright notice and this permission notice
> > are preserved on all copies.
> >
> > %For copies of the GNU Emacs Calc manual, write to the Free Software
> > %Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
> > %MA 02110-1301, USA.
> > %
> > \endgroup}
> 
> So, we have two license grants that'd seem to apply to this file,
> 
>  (a) the usual GPLv3-or-later boilerplate
>  
>  (b) a brief, custom grant that doesn't explicitly permit modification
> 
> Also note that only (b) appears on the actual card; I don't think
> there's even enough room on the card to fit (a).
> 
> Its not really clear what the licensing of this file is meant to be, but
> I think it would be simplest to:
> 
>  (a) drop the GPLv3 licensing on this file, or explicitly use a dual
>      license/GPL exception to unambiguously permit distribution with
>      just the brief grant
>     
>  (b) add "in modified or unmodified form" to, and possibly remove "and
>      this permission notice" from, said brief grant
> 
>  (c) mention the filename "calccard.tex" so people recieving it
>      out-of-context can find the source easily
> 
> (Aside: the commented-out FSF address seems kind of useless nowadays...)

Richard, could you please tell what should be done about this issue?

TIA